compose_metadata:
  config-hash: dde151bfad8adf0ad7078ba9db3b244022eaa9ed3b9525468d2152c333049b50
  container-number: '1'
  depends_on: ''
  image: sha256:a98a9d647e700e45c1d3d2e44709f23952a39c199731d84e623eb558fd5501f4
  oneoff: 'False'
  project: appflowy-cloud
  project.config_files: /home/jon/AppFlowy-Cloud/docker-compose.yml
  project.working_dir: /home/jon/AppFlowy-Cloud
  service: minio
  version: 2.33.1
container_id: 94e3faba6f61f34951ddbc64327c0e35d7c386b71b40f98430a04603d282f8ed
created: '2025-08-18T18:12:12.5058454Z'
devices:
  device_cgroup_rules: []
  device_requests: []
  devices: []
environment:
  MC_CONFIG_DIR: /tmp/.mc
  MINIO_ACCESS_KEY_FILE: '***SENSITIVE_VALUE*** (acce...)'
  MINIO_BROWSER_REDIRECT_URL: https://appflowy-server.pressmess.duckdns.org/minio
  MINIO_CONFIG_ENV_FILE: config.env
  MINIO_KMS_SECRET_KEY_FILE: '***SENSITIVE_VALUE*** (kms_...)'
  MINIO_ROOT_PASSWORD: '***SENSITIVE_VALUE*** (mini...)'
  MINIO_ROOT_PASSWORD_FILE: '***SENSITIVE_VALUE*** (secr...)'
  MINIO_ROOT_USER: minioadmin
  MINIO_ROOT_USER_FILE: access_key
  MINIO_SECRET_KEY_FILE: '***SENSITIVE_VALUE*** (secr...)'
  MINIO_UPDATE_MINISIGN_PUBKEY: '***SENSITIVE_VALUE*** (RWTx...)'
  PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
execution:
  cmd:
  - server
  - /data
  - --console-address
  - :9001
  entrypoint:
  - /usr/bin/docker-entrypoint.sh
  stop_signal: null
  user: ''
  working_dir: /
host_system: surface_20250824
image:
  platform: linux
  sha: sha256:a98a9d647e700e45c1d3d2e44709f23952a39c199731d84e623eb558fd5501f4
  tag: minio/minio
labels:
  architecture: x86_64
  build-date: '2025-07-17T11:29:46'
  com.docker.compose.config-hash: dde151bfad8adf0ad7078ba9db3b244022eaa9ed3b9525468d2152c333049b50
  com.docker.compose.container-number: '1'
  com.docker.compose.depends_on: ''
  com.docker.compose.image: sha256:a98a9d647e700e45c1d3d2e44709f23952a39c199731d84e623eb558fd5501f4
  com.docker.compose.oneoff: 'False'
  com.docker.compose.project: appflowy-cloud
  com.docker.compose.project.config_files: /home/jon/AppFlowy-Cloud/docker-compose.yml
  com.docker.compose.project.working_dir: /home/jon/AppFlowy-Cloud
  com.docker.compose.service: minio
  com.docker.compose.version: 2.33.1
  com.redhat.component: ubi9-micro-container
  com.redhat.license_terms: https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  description: MinIO object storage is fundamentally different. Designed for performance
    and the S3 API, it is 100% open-source. MinIO is ideal for large, private cloud
    environments with stringent security requirements and delivers mission-critical
    availability across a diverse range of workloads.
  distribution-scope: public
  io.buildah.version: 1.41.0-dev
  io.k8s.description: Very small image which doesn't install the package manager.
  io.k8s.display-name: Red Hat Universal Base Image 9 Micro
  io.openshift.expose-services: ''
  maintainer: MinIO Inc <dev@min.io>
  name: MinIO
  release: RELEASE.2025-07-23T15-54-02Z
  summary: MinIO is a High Performance Object Storage, API compatible with Amazon
    S3 cloud storage service.
  url: https://www.redhat.com
  vcs-ref: 52e5685a2b36133581f9e47c9e0b896cf3cbffc0
  vcs-type: git
  vendor: MinIO Inc <dev@min.io>
  version: RELEASE.2025-07-23T15-54-02Z
name: appflowy-cloud-minio-1
networks:
  dns:
    nameservers: []
    options: []
    search_domains: []
  extra_hosts: []
  links: null
  networks:
    appflowy-cloud_default:
      aliases:
      - appflowy-cloud-minio-1
      - minio
      dns_names:
      - appflowy-cloud-minio-1
      - minio
      - 94e3faba6f61
      endpoint_id: c64791151f8559976db2c4781f8f6b69d4ea2abacdc215b3680af18105e04b4c
      gateway: 172.20.0.1
      global_ipv6_address: ''
      ip_address: 172.20.0.3
      ip_prefix_len: 16
      ipam_config: null
      ipv6_gateway: ''
      mac_address: 26:7e:62:37:eb:58
      network_id: 97af1691b8d266f4c650dc087b71a4fba5d8b364642e765f132c5c8c3100b74c
  publish_all_ports: false
ports:
  bindings: {}
  exposed:
  - 9000/tcp
  published: {}
resources:
  blkio:
    device_read_bps: null
    device_read_iops: null
    device_write_bps: null
    device_write_iops: null
    weight: 0
    weight_device: null
  cpu:
    count: 0
    cpuset_cpus: ''
    cpuset_mems: ''
    percent: 0
    period: 0
    quota: 0
    realtime_period: 0
    realtime_runtime: 0
    shares: 0
  io:
    maximum_bandwidth: 0
    maximum_iops: 0
  memory:
    limit: 0
    oom_kill_disable: null
    reservation: 0
    swap: 0
    swappiness: null
  pids_limit: null
  shm_size: 67108864
  ulimits: null
runtime:
  auto_remove: false
  cgroup_ns_mode: private
  ipc_mode: private
  network_mode: appflowy-cloud_default
  pid_mode: ''
  privileged: false
  restart_policy:
    MaximumRetryCount: 0
    Name: on-failure
  user_ns_mode: ''
  uts_mode: ''
security:
  apparmor_profile: docker-default
  cap_add: null
  cap_drop: null
  cgroup: ''
  cgroup_parent: ''
  group_add: null
  isolation: ''
  masked_paths:
  - /proc/asound
  - /proc/acpi
  - /proc/interrupts
  - /proc/kcore
  - /proc/keys
  - /proc/latency_stats
  - /proc/timer_list
  - /proc/timer_stats
  - /proc/sched_debug
  - /proc/scsi
  - /sys/firmware
  - /sys/devices/virtual/powercap
  - /sys/devices/system/cpu/cpu0/thermal_throttle
  - /sys/devices/system/cpu/cpu1/thermal_throttle
  - /sys/devices/system/cpu/cpu2/thermal_throttle
  - /sys/devices/system/cpu/cpu3/thermal_throttle
  no_new_privileges: false
  oom_score_adj: 0
  readonly_paths:
  - /proc/bus
  - /proc/fs
  - /proc/irq
  - /proc/sys
  - /proc/sysrq-trigger
  readonly_rootfs: false
  runtime: runc
  security_opt: null
source_file: system_audit_surface_20250824_112825/discovery/2_services/container_appflowy-cloud-minio-1.json
volumes:
  bind_strings: []
  detailed_mounts:
  - destination: /data
    driver: local
    mode: z
    name: appflowy-cloud_minio_data
    propagation: ''
    rw: true
    source: /var/snap/docker/common/var-lib-docker/volumes/appflowy-cloud_minio_data/_data
    type: volume
